<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.7) on Fri Oct 09 11:17:41 CEST 2020 -->
<title>OCADataTypes</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-09">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="OCADataTypes";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">oca.javabuildingblocks</a></div>
<h2 title="Class OCADataTypes" class="title">Class OCADataTypes</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>oca.javabuildingblocks.OCADataTypes</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">OCADataTypes</span>
extends java.lang.Object</pre>
<div class="block"><h1>Understanding Data Types</h1></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">OCADataTypes</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#PrimitivesVsReferenceTypes()">PrimitivesVsReferenceTypes</a></span>()</code></th>
<td class="colLast">
<div class="block">Distinguishing between Primitives and Reference Types</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#usingPrimitiveTypes()">usingPrimitiveTypes</a></span>()</code></th>
<td class="colLast">
<div class="block">Using Primitive Types</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#UsingReferenceTypes()">UsingReferenceTypes</a></span>()</code></th>
<td class="colLast">
<div class="block">Using Reference Types</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OCADataTypes</h4>
<pre>public&nbsp;OCADataTypes()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="usingPrimitiveTypes()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>usingPrimitiveTypes</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;usingPrimitiveTypes()</pre>
<div class="block"><h1>Using Primitive Types</h1>
 <p>
 8 built-in data types, referred to as Java <i>primitive types</i>. Primitives
 are just a single value in memory.
 </p>
 <table>
 <thead>
 <tr>
 <th><b>Keyword</b></th>
 <th><b>Type</b></th>
 <th><b>Example</b></th>
 </tr>
 </thead> <tbody>
 <tr>
 <td>
 <p style="margin-right:15px">
 boolean
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 true or false
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 <code>true</code>
 </p>
 </td>
 </tr>
 <tr>
 <td>
 <p style="margin-right:15px">
 byte
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 8-bit integral value
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 <code>123</code>
 </p>
 </td>
 </tr>
 <tr>
 <td>
 <p style="margin-right:15px">
 short
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 16-bit integral value
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 <code>123</code>
 </p>
 </td>
 </tr>
 <tr>
 <td>
 <p style="margin-right:15px">
 int
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 32-bit integral value
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 <code>123</code>
 </p>
 </td>
 </tr>
 <tr>
 <td>
 <p style="margin-right:15px">
 long
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 64-bit integral value
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 <code>123L</code>
 </p>
 </td>
 </tr>
 <tr>
 <td>
 <p style="margin-right:15px">
 float
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 32-bit floating-point value
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 <code>123.45f</code>
 </p>
 </td>
 </tr>
 <tr>
 <td>
 <p style="margin-right:15px">
 double
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 64-bit floating-point value
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 <code>123.456</code>
 </p>
 </td>
 </tr>
 <tr>
 <td>
 <p style="margin-right:15px">
 char
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 16-bit Unicode value (unsigned)
 </p>
 </td>
 <td>
 <p style="margin-right:15px">
 <code>'A'</code>
 </p>
 </td>
 </tr>
 </tbody>
 </table>
 
 <h2>The Primitive Types</h2>
 <ul>
 <li>The <code>float</code> and <code>double</code> are used for
 floating-point (decimal) value.</li>
 <li>A <code>float</code> requires the letter f following the number.</li>
 <li><code>byte</code>, <code>short</code>, <code>int</code>,
 <code>long</code> types are used for numbers without decimal points. In
 mathematics, these are all referred to as integral value.</li>
 <li>All of the numeric types are signed in Java : One of their bits is
 reserved to cover a negative range</li>
 <li>integers can store char value : <br>
 <code>short d = 'd'; // print 100</code><br>
 <code>char c = (short)83; // print 'S'</code><br>
 <code>char c = -1; // does not compile</code><br>
 <code>char c = (char)-1; // print ''</code><br>
 <code>int i = 'B'; // print 66</code><br>
 </li>
 </ul>
 
 <h2>Writing Literals</h2>
 <ul>
 <li>Octal (digit 0-7) : <code>int octal = 017;</code></li>
 <li>Hexadecimal (digit 0-9, letter A-F) :
 <code>int octal = 0xFF004B;</code></li>
 <li>Binary (digit 0-1) : <code>int octal = 0b101100;</code></li>
 </ul>
 
 <h2>Literals and the Underscore Character</h2>
 <p>
 Underscore character is used to make the number easier to read.
 </p>
 <ul>
 <li>Not at the start : <code>int i = _1000; // does not compile</code></li>
 <li>Not at the end : <code>int i = 1000_; // does not compile</code></li>
 <li>Not by decimal :
 <code>double d = 1000_.0; // does not compile</code></li>
 <li>Correct but annoying :
 <code>int i = 1_00_0_0; // does not compile</code></li>
 <li>Correct but annoying :
 <code>int i = 1_________0; // does not compile</code></li>
 </ul></div>
</li>
</ul>
<a id="UsingReferenceTypes()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>UsingReferenceTypes</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;UsingReferenceTypes()</pre>
<div class="block"><h1>Using Reference Types</h1>
 <ul>
 <li>A reference can be assigned to another object of the same or compatible
 type.</li>
 <li>A reference can be assigned to a new object using the <code>new</code>
 keyword</li>
 </ul></div>
</li>
</ul>
<a id="PrimitivesVsReferenceTypes()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>PrimitivesVsReferenceTypes</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;PrimitivesVsReferenceTypes()</pre>
<div class="block"><h1>Distinguishing between Primitives and Reference Types</h1>
 <ul>
 <li>A Primitive can not be assigned <code>null</code>.</li>
 <li>Primitives do not have methods declared on them.</li>
 </ul></div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
